# PAS CO2 Sensor Arduino Library

![build-check](https://github.com/Infineon/arduino-pas-co2-sensor/actions/workflows/build-check.yml/badge.svg)

Arduino library of Infineon's **Photoacoustic Spectroscopy (PAS) XENSIV™ CO2** miniaturized sensor.

### Supported Sensor Boards
<table>
    <tr>
        <td align="center"><img src="https://github.com/Infineon/pas-co2-sensor/wiki/img/pas-co2-s2go-front.jpg" width=200></td>
        <td align="center"><img  src="https://github.com/Infineon/pas-co2-sensor/wiki/img/pas-co2-module.png" width=200></td>
    </tr>
    <tr>
        <td style="text-align: center"><a href="https://github.com/Infineon/pas-co2-sensor/wiki/Hardware-Platforms#pas-co2-sensor-shield-2go">PAS CO2 Shield2Go</a></td>
        <td style="text-align: center"><a href="https://github.com/Infineon/pas-co2-sensor/wiki/Hardware-Platforms#pas-co2-sensor-stand-alone">PAS CO2 Module Stand-alone</a></td>
    </tr>
</table>

### Supported Hardware Platforms

The library should be supported by any Arduino platform based on the reference Arduino cores. 

Check in this [link](https://github.com/Infineon/pas-co2-sensor/wiki/Hardware-Platforms) the already verified (at least successfully built) platforms, and find out which boards are under CI build check [here](https://github.com/Infineon/arduino-pas-co2-sensor/blob/master/.github/workflows/build-check.yml).

### Getting Started

Find a getting started tutorial based on the PAS CO2 Shield2Go and the XMC 2Go eval board [here](https://github.com/Infineon/pas-co2-sensor/wiki/Ino-Getting-Started).

### More information

The complete relevant Arduino documentation (and more) can be found in the base XFP library [Wiki](https://github.com/infineon/pas-co2-sensor/wiki/Home):

* <a href="https://github.com/Infineon/pas-co2-sensor/wiki/Ino-Library-Installation"> Arduino Lib Installation</a><br> 
* <a href="https://github.com/Infineon/pas-co2-sensor/wiki/Ino-Examples">Arduino Examples</a><br>
* <a href="https://github.com/Infineon/pas-co2-sensor/wiki/Arduino-API">Arduino API</a><br>
* <a href="https://github.com/Infineon/pas-co2-sensor/wiki/PlatformIO">PlatformIO</a><br>

### Contributing

This is a release repository for the Arduino framework. The code basis is maintained and developed in the PAS CO2 Sensor Cross-Framework-Platform (XFP) library [repository](https://github.com/infineon/pas-co2-sensor). 
  
### License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.


